wibble::Empty< T > Class Template Reference

`#include <empty.h>`

## Classes

class | const_iterator
class | iterator

## Public Types

typedef T | value_type

## Public Member Functions

bool | empty () const
size_t | size () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const

## Member Typedef Documentation

## value_type

template<typename T>

typedef T wibble::Empty< T >::value_type

## Member Function Documentation

## begin() [1/2]

template<typename T>

iterator wibble::Empty< T >::begin | ( |  | ) |

inline

References wibble::iterator().

Referenced by TestEmpty::basic().

## begin() [2/2]

template<typename T>

const_iterator wibble::Empty< T >::begin | ( |  | ) | const

inline

## empty()

template<typename T>

bool wibble::Empty< T >::empty | ( |  | ) | const

inline

## end() [1/2]

template<typename T>

iterator wibble::Empty< T >::end | ( |  | ) |

inline

References wibble::iterator().

Referenced by TestEmpty::basic().

## end() [2/2]

template<typename T>

const_iterator wibble::Empty< T >::end | ( |  | ) | const

inline

## size()

template<typename T>

size_t wibble::Empty< T >::size | ( |  | ) | const

inline

Referenced by TestEmpty::basic().

The documentation for this class was generated from the following file:

- empty.h